## cadabra 1.29

=== doc/Makefile ===

.PHONY: doxy

all: doxy

doxy:
	doxygen doxygen_cadabra.config

distclean:
	rm -Rf doxygen algorithms/*~ properties/*~ reserved/*~ *~

## cadabra 1.25

=== debian/changelog ===
cadabra (1.25-2) unstable; urgency=low

  * Add myself as the maintainer of the package and move Kasper Peeters to
    Uploaders.
  * Add Vcs-{Git,Browser} fields.
  * Change my e-mail address.
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Iulian Udrea <iulian@linux.com>  Fri, 13 Aug 2010 23:27:42 +0100

cadabra (1.25-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Remove Gürkan Sengün <gurkan@phys.ethz.ch> from Uploaders (thanks for
    all your work Gürkan).
    - Add myself as a co-maintainer of the package.
    - Add DM-Upload-Allowed field.
    - Add new homepage.
    - Add libcairomm-1.0-dev to Build-Depends in order to fix FTBFS.
      + error: cairommconfig.h: No such file or directory (see bug#579772
      for more details).
  * Add myself to copyright.
  * debian/rules: merge rm -f with dh_clean.

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 04 May 2010 17:03:02 +0100

cadabra (1.20-2) unstable; urgency=low

  * Add tex-common to build-depends, and remove debian/postrm and
    debian/postinst to fix package purge. Thanks Kasper Peeters.
    (Closes: #574232)
  * Update to dpkg-source version format 3.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 29 Mar 2010 14:59:20 +0200

cadabra (1.20-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 03 Feb 2010 10:30:30 +0100

cadabra (1.16-1) unstable; urgency=low

  * Initial release. (Closes: #434489)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 03 Sep 2009 12:21:20 +0200

=== debian/control ===
Source: cadabra
Section: math
Priority: optional
Maintainer: Iulian Udrea <iulian@linux.com>
Uploaders: Kasper Peeters <kasper.peeters@aei.mpg.de>
DM-Upload-Allowed: yes
Homepage: http://cadabra.phi-sci.com/
Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libgmp3-dev, libgmpxx4ldbl, libpcre3-dev, libpcre++-dev, libmodglue1-dev, autotools-dev, tex-common, libcairomm-1.0-dev (>= 1.8.4-2)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/users/iulian-guest/cadabra.git
Vcs-Browser: http://git.debian.org/?p=users/iulian-guest/cadabra.git

Package: cadabra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lie, dvipng, texlive, texlive-math-extra, texlive-fonts-extra, latex-xft-fonts
Description: field-theory motivated computer algebra system
 Cadabra is a computer algebra system designed specifically for the
 solution of problems encountered in field theory. It has extensive
 functionality for tensor polynomial simplification including
 multi-term symmetries, fermions and anti-commuting variables,
 Clifford algebras and Fierz transformations, implicit coordinate
 dependence, multiple index types and many more. The input format is
 a subset of TeX.

## cadabra 1.26

=== debian/changelog ===
cadabra (1.26-3.1) unstable; urgency=low

  * NMU.  Change build-deps from libgmp3-dev to libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Tue, 15 Mar 2011 22:55:29 -0500

cadabra (1.26-3) unstable; urgency=low

  * Upload to unstable.

 -- Iulian Udrea <iulian@linux.com>  Sun, 06 Feb 2011 16:02:32 +0000

cadabra (1.26-2) experimental; urgency=low

  * Depend on ttf-lyx instead of latex-xft-fonts.  
    Closes: #611884
    Closes: #611885

 -- Iulian Udrea <iulian@linux.com>  Thu, 03 Feb 2011 10:35:18 +0000

cadabra (1.26-1) experimental; urgency=low

  * New upstream release.
    + Fixes to @factor_out supplied by James Allen (thanks!). Now correctly
    handles anti- and non-commuting factors and no longer messes up tensorial
    factors.
    + Made @vary work on powers.
    + Several bugs in the pattern matcher fixed, among which those which are
    relevant for substitution rules in which the right-hand side contains an
    object both as index and as normal object (relevant e.g. for computations
    with Lie algebras).
  * Update debian/copyright.

 -- Iulian Udrea <iulian@linux.com>  Sat, 22 Jan 2011 11:40:19 +0000

cadabra (1.25-3) experimental; urgency=low

  * Add texlive-latex3 to depends.  Closes: #595650.
  * Update copyright.

 -- Iulian Udrea <iulian@linux.com>  Thu, 16 Sep 2010 13:09:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Kasper Peeters <kasper.peeters@aei.mpg.de>
 DM-Upload-Allowed: yes
 Homepage: http://cadabra.phi-sci.com/
-Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libgmp3-dev, libgmpxx4ldbl, libpcre3-dev, libpcre++-dev, libmodglue1-dev, autotools-dev, tex-common, libcairomm-1.0-dev (>= 1.8.4-2)
+Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libgmp-dev, libgmpxx4ldbl, libpcre3-dev, libpcre++-dev, libmodglue1-dev, autotools-dev, tex-common, libcairomm-1.0-dev (>= 1.8.4-2)
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/users/iulian-guest/cadabra.git
 Vcs-Browser: http://git.debian.org/?p=users/iulian-guest/cadabra.git
 
 Package: cadabra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lie, dvipng, texlive, texlive-math-extra, texlive-fonts-extra, latex-xft-fonts
+Depends: ${shlibs:Depends}, ${misc:Depends}, lie, dvipng, texlive, texlive-math-extra, texlive-latex3, texlive-fonts-extra, ttf-lyx
 Description: field-theory motivated computer algebra system
  Cadabra is a computer algebra system designed specifically for the
  solution of problems encountered in field theory. It has extensive

=== debian/watch ===
version=3
http://www.aei.mpg.de/~peekas/cadabra/download.html cadabra-([\d\.]+)\.tar\.gz

## cadabra 1.29

=== debian/changelog ===
cadabra (1.29-1ubuntu1) quantal; urgency=low

  * Add texlive-latex-extra to Depends. (LP: #1030273)

 -- Logan Rosen <logatronico@gmail.com>  Sun, 29 Jul 2012 03:02:01 -0400

cadabra (1.29-1) unstable; urgency=low

  * New upstream release.
    + Fixed compilation problems in tree.hh and youngtab.hh with newer
      versions of g++.
  * Bump Standards-Version to 3.9.2; no changes required.

 -- Iulian Udrea <iulian@linux.com>  Tue, 05 Jul 2011 19:37:55 +0100

cadabra (1.26-4) unstable; urgency=low

  * Ack Non-maintainer upload.
  * Add missing include.  Closes: #625029 and LP: #765931.
    - Add "#include <cstddef>" to both src/{tree.h,youngtab.hh} because of
      "error: 'ptrdiff_t' does not name a type".

 -- Iulian Udrea <iulian@linux.com>  Fri, 13 May 2011 23:21:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: cadabra
 Section: math
 Priority: optional
-Maintainer: Iulian Udrea <iulian@linux.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Iulian Udrea <iulian@linux.com>
 Uploaders: Kasper Peeters <kasper.peeters@aei.mpg.de>
 DM-Upload-Allowed: yes
 Homepage: http://cadabra.phi-sci.com/
 Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libgmp-dev, libgmpxx4ldbl, libpcre3-dev, libpcre++-dev, libmodglue1-dev, autotools-dev, tex-common, libcairomm-1.0-dev (>= 1.8.4-2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/users/iulian-guest/cadabra.git
 Vcs-Browser: http://git.debian.org/?p=users/iulian-guest/cadabra.git
 
 Package: cadabra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lie, dvipng, texlive, texlive-math-extra, texlive-latex3, texlive-fonts-extra, ttf-lyx
+Depends: ${shlibs:Depends}, ${misc:Depends}, lie, dvipng, texlive, texlive-math-extra, texlive-latex3, texlive-fonts-extra, ttf-lyx, texlive-latex-extra
 Description: field-theory motivated computer algebra system
  Cadabra is a computer algebra system designed specifically for the
  solution of problems encountered in field theory. It has extensive

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --enable-gui --enable-runtime-dependency-check=no --prefix=/usr
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean build-stamp configure-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/cadabra

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installtex
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cadabra 1.39

=== debian/changelog ===
cadabra (1.39-0.2ubuntu2) wily; urgency=medium

  * No-change rebuild against libatkmm-1.6-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 18:14:05 +0000

cadabra (1.39-0.2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Recommend texlive-latex-extra to pull in relsize.sty so that help works.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 28 Oct 2014 19:22:22 +0530

cadabra (1.39-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update maintainer email address. (Closes: #757670)
  * Update dependency texlive-latex3 to texlive-latex-recommended.
    (Closes: #672877)
  * Fix debian/watch.

 -- Tobias Hansen <thansen@debian.org>  Sat, 13 Sep 2014 12:43:59 +0200

cadabra (1.39-0.1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Recommend texlive-latex-extra to pull in relsize.sty so that help works.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 18 Aug 2014 01:21:49 -0400

cadabra (1.39-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Builds with GCC 4.9. Closes: #746833.
  * Use dpkg-buildflags.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 13:35:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 DM-Upload-Allowed: yes
 Homepage: http://cadabra.phi-sci.com/
 Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libgmp-dev, libgmpxx4ldbl, libpcre3-dev, libpcre++-dev, libmodglue1-dev, autotools-dev, tex-common, libcairomm-1.0-dev (>= 1.8.4-2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/users/iulian-guest/cadabra.git
 Vcs-Browser: http://git.debian.org/?p=users/iulian-guest/cadabra.git
 
 Package: cadabra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lie, dvipng, texlive, texlive-math-extra, texlive-latex3, texlive-fonts-extra, ttf-lyx, texlive-latex-extra
+Recommends: texlive-latex-extra
+Depends: ${shlibs:Depends}, ${misc:Depends}, lie, dvipng, texlive, texlive-math-extra, texlive-latex-recommended, texlive-fonts-extra, ttf-lyx
 Description: field-theory motivated computer algebra system
  Cadabra is a computer algebra system designed specifically for the
  solution of problems encountered in field theory. It has extensive

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,11 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	./configure --enable-gui --enable-runtime-dependency-check=no --prefix=/usr
+	./configure --enable-gui --enable-runtime-dependency-check=no --prefix=/usr $(shell dpkg-buildflags --export=cmdline)
 	touch configure-stamp
 
+build-arch: build
+build-indep: build
 build: build-stamp
 
 build-stamp: configure-stamp

=== debian/watch ===
version=3
http://cadabra.phi-sci.com/download.html cadabra-([\d\.]+)\.tar\.gz

## cadabra 1.46

=== debian/changelog ===
cadabra (1.46-6) unstable; urgency=medium

  * QA upload.
  * Drop libpcre++-dev. (Closes: #1020933)

 -- Bastian Germann <bage@debian.org>  Thu, 29 Sep 2022 00:05:41 +0200

cadabra (1.46-5) unstable; urgency=medium

  * QA upload.
  * Fix a frequent parallel FTBFS.

 -- Adrian Bunk <bunk@debian.org>  Sun, 28 Oct 2018 00:52:03 +0300

cadabra (1.46-4) unstable; urgency=low

  * QA upload.
  * Fix FTBFS with gcc 7. (Closes: #853340)

 -- Adrian Bunk <bunk@debian.org>  Sun, 06 Aug 2017 16:26:15 +0300

cadabra (1.46-3) unstable; urgency=high

  * QA upload.
  * Switch dependency from virtual package texlive-math-extra to
    texlive-science to ease upgrades from Jessie to Stretch. (Closes:
    #864223)

 -- Axel Beckert <abe@debian.org>  Mon, 05 Jun 2017 15:08:56 +0200

cadabra (1.46-2) unstable; urgency=medium

  * QA upload.
  * Add patch to disable hanging tests. (They look like a misbehaving
    build-dependency, not like an issue in cadabra.)

 -- Axel Beckert <abe@debian.org>  Wed, 21 Dec 2016 08:44:29 +0100

cadabra (1.46-1) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to the Debian QA Group and remove Uploaders field. (See
    #834846 and #808634.)
  * Change Vcs-* headers to collab-maint repository and normalize them.
  * Apply wrap-and-sort.
  * Remove obsolete DM-Upload-Allowed header.
  * Update debian/copyright and debian/watch to follow releases on GitHub.
  * Import new upstream release which fixes multiple FTBFS with more
    recent GCC versions. Thanks to Kasper Peeters for his help on these
    issues. (Closes: #808634)
  * Update debian/rules:
    + Use dh_auto_{configure,build,install,clean}.
    + Switch to minimal dh v7 style debian/rules file.
    + Add build-dependencies on time and lie. (Used by test suite.)
  * Bump debhelper compatibility to 9. (Currently FTBFS with 10.)
    + Update versioned debhelper build-dependency accordingly.
    + Enable parallel building.
  * Declare compliance with Debian Policy 3.9.8.
  * Add tests/out2.exp to debian/clean.
  * Update debian/copyright format URI to current version and proper
    syntax. Also add missing parts and remove obsolete ones.
  * Add minimal DEP-3 style headers to debian/patches/ldflags.diff.
  * Enable all hardening build flags.
  * Add patch to pass $CPPFLAGS where needed. (Fixes lintian warning
    hardening-no-fortify-functions for cadabra, but not yet for xcadabra.)
  * Add patch by Chris Lamb to make build reproducible. (Closes: #797539)
  * Replace dependency on transitional package "ttf-lyx" with "fonts-lyx |
    ttf-lyx".

 -- Axel Beckert <abe@debian.org>  Wed, 21 Dec 2016 01:59:40 +0100

=== debian/control ===
Source: cadabra
Section: math
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://cadabra.phi-sci.com/
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libcairomm-1.0-dev (>= 1.8.4-2),
               libgmp-dev,
               libgmpxx4ldbl,
               libgtkmm-2.4-dev,
               libmodglue1-dev,
               libpcre3-dev,
               lie,
               tex-common,
               time
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/cadabra.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cadabra.git

Package: cadabra
Architecture: any
Depends: dvipng,
         lie,
         texlive,
         texlive-fonts-extra,
         texlive-latex-recommended,
         texlive-science,
         fonts-lyx | ttf-lyx,
         ${misc:Depends},
         ${shlibs:Depends}
Description: field-theory motivated computer algebra system
 Cadabra is a computer algebra system designed specifically for the
 solution of problems encountered in field theory. It has extensive
 functionality for tensor polynomial simplification including
 multi-term symmetries, fermions and anti-commuting variables,
 Clifford algebras and Fierz transformations, implicit coordinate
 dependence, multiple index types and many more. The input format is
 a subset of TeX.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-gui --enable-runtime-dependency-check=no
